import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";



// 查询地区
export function getArea() {
  return request({
    url: '/user/area/getAllAreaList',
    method: 'get'
  })
}

// 根据地区id查询国家
export function getCountryByAreaId(areaId) {
  return request({
    url: '/user/country/getCountryByAreaId/' + areaId,
    method: 'get'
  })
}


// 查询地区
export function getAreaByUser() {
  return request({
    url: '/user/area/getAreaByUser',
    method: 'get'
  })
}

// 获取代理商tree
export function getAgentTree() {
  return request({
    url: '/system/user/agentTree',
    method: 'get'
  })
}

// 查询地区
export function getAreaTree() {
  return request({
    url: '/user/area/getAllAreaTree',
    method: 'get'
  })
}

// 根据登录用户查询地区
export function getAreaTreeByUser() {
  return request({
    url: '/user/area/getAreaTreeByUser',
    method: 'get'
  })
}
